## syft 1.40.0+ds

=== vendor/github.com/gkampitakis/ciinfo/Makefile ===
.PHONY: install-tools lint test test-verbose format help compile-constants
.SILENT: install-tools lint test test-verbose format help compile-constants

help:
	grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

install-tools: ## Install linting tools
	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.49.0
	go install mvdan.cc/gofumpt@v0.6.0
	go install github.com/segmentio/golines@latest

lint: ## Run golangci linter
	golangci-lint run -c ./golangci.yml ./...

format: ## Format code
	gofumpt -l -w -extra .
	golines . -w

test: ## Run tests
	go test -test.timeout 120s -count=1 .
	go test -test.timeout 120s -count=1 ./ciinfo/

test-verbose: ## Run tests with verbose output
	go test -test.timeout 120s -v -cover -count=1 .
	go test -test.timeout 120s -v -cover -count=1 ./ciinfo/

compile-constants: ## Generates 'constants.go' containing the list with constant values
	cp vendors.go compile-constants
	sed -i 's/ciinfo/main/' compile-constants/vendors.go
	go run ./compile-constants/main.go ./compile-constants/vendors.go

=== vendor/github.com/gpustack/gguf-parser-go/Makefile ===
.SILENT:
.DEFAULT_GOAL := ci

SHELL := /bin/bash

SRCDIR := $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST)))))
GOOS := $(shell go env GOOS)
GOARCH := $(shell go env GOARCH)
LINT_DIRTY ?= false
VERSION ?= $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null | tr '[:upper:]' '[:lower:]' || echo "unknown")

DEPS_UPDATE ?= false
deps:
	@echo "+++ $@ +++"

	cd $(SRCDIR) && go mod tidy && go mod download
	cd $(SRCDIR)/cmd/gguf-parser && go mod tidy && go mod download

	if [[ "$(DEPS_UPDATE)" == "true" ]]; then \
		cd $(SRCDIR) && go get -u -v ./...; \
		cd $(SRCDIR)/cmd/gguf-parser && go get -u -v ./...; \
	fi

	@echo "--- $@ ---"

generate:
	@echo "+++ $@ +++"

	cd $(SRCDIR) && go generate ./...
	cd $(SRCDIR)/cmd/gguf-parser && go generate ./...

	@echo "--- $@ ---"

lint:
	@echo "+++ $@ +++"

	[[ -d "$(SRCDIR)/.sbin" ]] || mkdir -p "$(SRCDIR)/.sbin"

	[[ -f "$(SRCDIR)/.sbin/goimports-reviser" ]] || \
		curl --retry 3 --retry-all-errors --retry-delay 3 -sSfL "https://github.com/incu6us/goimports-reviser/releases/download/v3.8.2/goimports-reviser_3.8.2_$(GOOS)_$(GOARCH).tar.gz" \
		| tar -zxvf - --directory "$(SRCDIR)/.sbin" --no-same-owner --exclude ./LICENSE --exclude ./README.md && chmod +x "$(SRCDIR)/.sbin/goimports-reviser"
	cd $(SRCDIR) && \
		go list -f "{{.Dir}}" ./... | xargs -I {} find {} -maxdepth 1 -type f -name '*.go' ! -name 'gen.*' ! -name 'zz_generated.*' \
		| xargs -I {} "$(SRCDIR)/.sbin/goimports-reviser" -use-cache -imports-order=std,general,company,project,blanked,dotted -output=file {} 1>/dev/null 2>&1
	cd $(SRCDIR)/cmd/gguf-parser && \
		go list -f "{{.Dir}}" ./... | xargs -I {} find {} -maxdepth 1 -type f -name '*.go' ! -name 'gen.*' ! -name 'zz_generated.*' \
		| xargs -I {} "$(SRCDIR)/.sbin/goimports-reviser" -use-cache -imports-order=std,general,company,project,blanked,dotted -output=file {} 1>/dev/null 2>&1

	[[ -f "$(SRCDIR)/.sbin/golangci-lint" ]] || \
		curl --retry 3 --retry-all-errors --retry-delay 3 -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh \
		| sh -s -- -b "$(SRCDIR)/.sbin" "v1.63.4"
	cd $(SRCDIR) && \
		"$(SRCDIR)/.sbin/golangci-lint" run --fix ./...
	cd $(SRCDIR)/cmd/gguf-parser && \
		"$(SRCDIR)/.sbin/golangci-lint" run --fix ./...

	if [[ "$(LINT_DIRTY)" == "true" ]]; then \
		if [[ -n $$(git status --porcelain) ]]; then \
			echo "Code tree is dirty."; \
			git diff --exit-code; \
		fi; \
	fi

	@echo "--- $@ ---"

test:
	@echo "+++ $@ +++"

	go test -v -failfast -race -cover -timeout=30m $(SRCDIR)/...

	@echo "--- $@ ---"

benchmark:
	@echo "+++ $@ +++"

	go test -v -failfast -run="^Benchmark[A-Z]+" -bench=. -benchmem -timeout=30m $(SRCDIR)/...

	@echo "--- $@ ---"

gguf-parser:
	[[ -d "$(SRCDIR)/.dist" ]] || mkdir -p "$(SRCDIR)/.dist"

	cd "$(SRCDIR)/cmd/gguf-parser" && for os in darwin linux windows; do \
  		tags="netgo"; \
  		if [[ $$os == "windows" ]]; then \
		  suffix=".exe"; \
		  tags="netcgo"; \
		else \
		  suffix=""; \
		fi; \
		for arch in amd64 arm64; do \
		  	echo "Building gguf-parser for $$os-$$arch $(VERSION)"; \
			GOOS="$$os" GOARCH="$$arch" CGO_ENABLED=1 go build \
				-trimpath \
				-ldflags="-w -s -X main.Version=$(VERSION)" \
				-tags="urfave_cli_no_docs $$tags" \
				-o $(SRCDIR)/.dist/gguf-parser-$$os-$$arch$$suffix; \
		done; \
		if [[ $$os == "darwin" ]]; then \
		  [[ -d "$(SRCDIR)/.sbin" ]] || mkdir -p "$(SRCDIR)/.sbin"; \
		  [[ -f "$(SRCDIR)/.sbin/lipo" ]] || \
			GOBIN="$(SRCDIR)/.sbin" go install github.com/konoui/lipo@v0.9.2; \
		  	"$(SRCDIR)/.sbin/lipo" -create -output $(SRCDIR)/.dist/gguf-parser-darwin-universal $(SRCDIR)/.dist/gguf-parser-darwin-amd64 $(SRCDIR)/.dist/gguf-parser-darwin-arm64; \
		fi;\
		if [[ $$os == "$(GOOS)" ]] && [[ $$arch == "$(GOARCH)" ]]; then \
			cp -rf $(SRCDIR)/.dist/gguf-parser-$$os-$$arch$$suffix $(SRCDIR)/.dist/gguf-parser$$suffix; \
		fi; \
	done

build: gguf-parser

PACKAGE_PUBLISH ?= false
PACKAGE_REGISTRY ?= "gpustack"
PACKAGE_IMAGE ?= "gguf-parser"
package: build
	@echo "+++ $@ +++"

	if [[ -z $$(command -v docker) ]]; then \
  		echo "Docker is not installed."; \
		exit 1; \
	fi; \
	platform="linux/amd64,linux/arm64"; \
	image="$(PACKAGE_IMAGE):$(VERSION)"; \
	if [[ -n "$(PACKAGE_REGISTRY)" ]]; then \
		image="$(PACKAGE_REGISTRY)/$$image"; \
	fi; \
	if [[ "$(PACKAGE_PUBLISH)" == "true" ]]; then \
	  	if [[ -z $$(docker buildx inspect --builder "gguf-parser") ]]; then \
      		docker run --rm --privileged tonistiigi/binfmt:qemu-v9.2.2 --install $$platform; \
      		docker buildx create --name "gguf-parser" --driver "docker-container" --buildkitd-flags "--allow-insecure-entitlement security.insecure --allow-insecure-entitlement network.host" --bootstrap; \
      	fi; \
		docker buildx build --progress=plain --platform=$$platform --builder="gguf-parser" --output="type=image,name=$$image,push=true" "$(SRCDIR)"; \
	else \
	  	platform="linux/$(GOARCH)"; \
  		docker buildx build --progress=plain --platform=$$platform --output="type=docker,name=$$image" "$(SRCDIR)"; \
	fi

	@echo "--- $@ ---"

ci: deps generate lint test build

=== debian/changelog ===
syft (1.40.0+ds-1) unstable; urgency=low

  * Initial release (Closes: #1124819)

 -- Juan Manuel Mendez Rey <vejeta@gmail.com>  Fri, 09 Jan 2026 16:17:00 +0100

=== debian/control ===
Source: syft
Section: devel
Priority: optional
Maintainer: Juan Manuel Mendez Rey <vejeta@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any (>= 2:1.22~),
Standards-Version: 4.7.3
Homepage: https://github.com/anchore/syft
Vcs-Browser: https://salsa.debian.org/mendezr/syft
Vcs-Git: https://salsa.debian.org/mendezr/syft.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/anchore/syft

Package: syft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Description: CLI tool for generating Software Bill of Materials (SBOM)
 Syft is a CLI tool and Go library for generating a Software Bill of
 Materials (SBOM) from container images and filesystems.
 .
 Features include:
  - Generates SBOMs for container images, filesystems, archives, and more
  - Supports multiple package ecosystems (Alpine, Debian, RPM, Go, Python,
    Java, JavaScript, Ruby, Rust, PHP, .NET, and more)
  - Multiple output formats: SPDX, CycloneDX, Syft JSON
  - Integration with Grype for vulnerability scanning

=== debian/rules ===
#!/usr/bin/make -f

# Offline build with vendored dependencies
export GOPROXY := off
export GOFLAGS := -mod=vendor

# Only build the main syft command
export DH_GOLANG_BUILDPKG := github.com/anchore/syft/cmd/syft

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	go build -buildmode=pie -o obj-x86_64-linux-gnu/bin/syft ./cmd/syft

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	# Tests require network access

override_dh_golang:
	# Skip - Go embed directives fail in dh_golang's copied source tree

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/syft-$1\.tar\.gz/,dversionmangle=s/\+ds$// \
  https://github.com/anchore/syft/tags .*/v?(\d[\d.]+)\.tar\.gz

## syft 1.40.1+ds

=== Makefile ===
OWNER = anchore
PROJECT = syft

TOOL_DIR = .tool
BINNY = $(TOOL_DIR)/binny
TASK = $(TOOL_DIR)/task

.DEFAULT_GOAL := make-default

## Bootstrapping targets #################################

# note: we need to assume that binny and task have not already been installed
$(BINNY):
	@mkdir -p $(TOOL_DIR)
	@curl -sSfL https://get.anchore.io/binny | sh -s -- -b $(TOOL_DIR)

# note: we need to assume that binny and task have not already been installed
.PHONY: task
$(TASK) task: $(BINNY)
	@$(BINNY) install task -q

.PHONY: ci-bootstrap-go
ci-bootstrap-go:
	go mod download

# this is a bootstrapping catch-all, where if the target doesn't exist, we'll ensure the tools are installed and then try again
%:
	@make --silent $(TASK)
	@$(TASK) $@

## Shim targets #################################

.PHONY: make-default
make-default: $(TASK)
	@# run the default task in the taskfile
	@$(TASK)

# for those of us that can't seem to kick the habit of typing `make ...` lets wrap the superior `task` tool
TASKS := $(shell bash -c "test -f $(TASK) && NO_COLOR=1 $(TASK) -l | grep '^\* ' | cut -d' ' -f2 | tr -d ':' | tr '\n' ' '" ) $(shell bash -c "test -f $(TASK) && NO_COLOR=1 $(TASK) -l | grep 'aliases:' | cut -d ':' -f 3 | tr '\n' ' ' | tr -d ','")

.PHONY: $(TASKS)
$(TASKS): $(TASK)
	@$(TASK) $@

help: $(TASK)
	@$(TASK) -l

=== syft/file/cataloger/executable/test-fixtures/Makefile ===
.DEFAULT_GOAL := default

default:
	@for dir in $(shell find . -mindepth 1 -maxdepth 1 -type d); do \
		if [ -f "$$dir/Makefile" ]; then \
			$(MAKE) -C $$dir || exit 1; \
		fi; \
	done

%:
	@for dir in $(shell find . -mindepth 1 -maxdepth 1 -type d); do \
		if [ -f "$$dir/Makefile" ]; then \
			$(MAKE) -C $$dir $@ || exit 1; \
		fi; \
	done

=== syft/pkg/cataloger/internal/pe/test-fixtures/Makefile ===
FINGERPRINT_FILE=cache.fingerprint

.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures:
	@echo "nothing to do"

# requirement 2: 'fingerprint' goal to determine if cache should be busted
fingerprint: $(FINGERPRINT_FILE)

# requirement 3: always recalculate fingerprint based on source
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find Makefile **/Dockerfile **/src/** -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)

# requirement 4: 'clean' goal to remove generated test fixtures
clean:
	rm -f $(FINGERPRINT_FILE)

=== debian/changelog ===
syft (1.40.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40.1+ds

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 16:31:54 +0100
